Subject: [clisp-list] modules initialization, package and crashes

From: "Hoehle, Joerg-Cyril" <[email-masked]>
Date: Wed Apr 17 06:33:10 2002

Hi,

> The appended patch appears to fix the problem.
> Bruno, Joerg, do you like it?
In short, no.

I believe initialization must be split in 2: first make everything GC ready (very early). Then (in future very late) make real subrs etc. and call module init functions.

I believe your straightforward patch misses the first half by calling init_x() late. Thus, it should be possible to produce a configuration where the system is not completely initialized properly. GC crashes will follow. That's why I asked you to delay inclusion in CVS -- I just had feelings about it that it cannot possibly be correct.

I'll delay my FFI-stack allocator and other FFI stuff and concentrate on this instead. Expect something soon.

Regards,
	Jorg Hohle.